|  | Home · All Classes · Modules

# QWindowStateChangeEvent Class Reference
[QtGui module]

The QWindowStateChangeEvent class provides the window state before a window state change. More...

Inherits QEvent.

### Methods

- Qt.WindowStates oldState (self)

## Detailed Description

The QWindowStateChangeEvent class provides the window state before a window state change.

## Method Documentation

### Qt.WindowStates QWindowStateChangeEvent.oldState (self)

Returns the state of the window before the change.